MODULE ShdMemSnd;

IMPORT Types, Lib2, Mot, Tmr, ShdMem, Config;
FROM SYSTEM IMPORT BYTE;

VAR
  x: Types.TShtCard;
  t0: Tmr.TTicks;


PROCEDURE Update();
VAR
  l: CARDINAL;
  b: ARRAY [1..128] OF BYTE;
BEGIN
  IF Tmr.Diff( t0, Tmr.Ticks() ) >= Config.data.dur THEN HALT END;
  Lib2.Fill( b, x );
  l := ShdMem.Write( b, SIZE(b) );
  Lib2.IncS( x, 1 );
END Update;

BEGIN
  x := 0FFH;
  t0 := Tmr.Ticks();
  Mot.Exec( Update );
END ShdMemSnd.
