IMPLEMENTATION MODULE Input;

IMPORT IO;
IMPORT Lib2;

CONST
  cnt = 16;

TYPE
  THndsDesc = RECORD
    n: CARDINAL;
    a: ARRAY [1..cnt] OF THandler;
  END;

VAR
  hnds: THndsDesc;


PROCEDURE Install( h: THandler );
BEGIN
  INC( hnds.n );
  hnds.a[ hnds.n ] := h;
END Install;

PROCEDURE Handle( c: CHAR );
VAR i: CARDINAL;
BEGIN
  i := hnds.n;
  WHILE i > 0 DO hnds.a[ i ]( c ); DEC( i ) END;
END Handle;

PROCEDURE Trigger();
BEGIN
  IF ~ IO.KeyPressed() THEN RETURN END;
  Handle( IO.RdKey() );
END Trigger;

BEGIN
  Lib2.Fill( hnds, 0 );
END Input.
